#include <stdio.h>
#include <algorithm>

using namespace std;
int n, m, a[100005], i, j, x, y;
long long int s;
int main()
{
    scanf("%d%d", &n, &m);
    for(i=1;i<=n;i++)
        scanf("%d", &a[i]);
    for(i=0;i<m;i++)
    {
        scanf("%d%d", &x, &y);
        if(a[x]>0 && a[y]>0)
            s=s+a[x]+a[y];
        if(a[x]<0 && a[y]<0)
            s=s-a[x]-a[y];
        if((a[x]>0 && a[y]<0) || (a[x]<0 && a[y]>0))
            s=s+max(abs(a[x]), abs(a[y]))-min(abs(a[x]), abs(a[y]));
    }
    printf("%lld", s);
    return 0;
}